Bug 147278 - [patch] lang/mlton: make it build again
Summary: [patch] lang/mlton: make it build again
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Gabor Pali
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-01 13:20 UTC by Vitaly Magerya
Modified: 2010-06-22 23:13 UTC (History)
0 users

See Also:


Attachments
file.diff (2.09 KB, patch)
2010-06-01 13:20 UTC, Vitaly Magerya
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vitaly Magerya 2010-06-01 13:20:02 UTC
For a long time now lang/mlton failed to build, and is already marked
as BROKEN, DEPRECATED and EXPIRED.

This happens because the precompiled mlton distribution used for
bootstrapping (mlton-20070826-1.i386-freebsd.tbz) is linked against
libgmp.so.7, while current math/gmp installs libgmp.so.10.

There is also a problem with NOPORTDOCS: when it's defined, the port
does not try to install docs, but still tries to build them.

Finally, the last master site has relocated and needs updating.

Fix: The attached patch:
1. Updates the last master site.
2. Sets LD_LIBMAP to redirect libgmp.so.7 to libgmp.so.10.
3. Changes ALL_TARGET when running with NOPORTDOCS to prevent docs
   building.
4. Replaces the non-existant devel/mingw32-libgmp4 dependency with
   math/mingw32-libgmp4.

I only tested with NOPORTDOCS, as the build already takes a lot of time.
I hope the committer has more patience than I have.

I did not test SMLNJ and MINGW32 options.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-06-01 13:22:13 UTC
Maintainer of lang/mlton,

Please note that PR ports/147278 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/147278

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-06-01 13:22:14 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Jesper Louis Andersen 2010-06-07 22:07:50 UTC
On Tue, Jun 1, 2010 at 2:22 PM, Edwin Groothuis <edwin@freebsd.org> wrote:
> Maintainer of lang/mlton,
>
> Please note that PR ports/147278 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
> =C2=A0 =C2=A0http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/147278

Long time since I've last had a FreeBSD machine, sorry. With my now
severely limited knowledge it looks ok though.

--=20
J.
Comment 4 Gabor Pali freebsd_committer 2010-06-21 09:45:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgj

I will take it.
Comment 5 Gabor Pali freebsd_committer 2010-06-21 09:46:24 UTC
State Changed
From-To: feedback->open

The maintainer has already approved it.
Comment 6 dfilter service freebsd_committer 2010-06-22 23:09:06 UTC
pgj         2010-06-22 22:08:57 UTC

  FreeBSD ports repository

  Modified files:
    lang/mlton           Makefile 
  Added files:
    lang/mlton/files     
                         patch-..-mlton-bootstrap-lib-mlton-include-cenv.h 
  Log:
  - Unbreak build
  - Update master sites
  - Prevent building documentation when NOPORTDOCS defined
  - Fix dependency on math/mingw32-libgmp4
  - Adapt boostrap to the recent GMP update
  - Respect LOCALBASE (added by pgj)
  
  PR:             ports/147278
  Submitted by:   Vitaly Magerya <vmagerya@gmail.com>
  Approved by:    maintainer
  Feature safe:   yes
  
  Revision  Changes    Path
  1.27      +30 -18    ports/lang/mlton/Makefile
  1.1       +11 -0     ports/lang/mlton/files/patch-..-mlton-bootstrap-lib-mlton-include-cenv.h (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Gabor Pali freebsd_committer 2010-06-22 23:12:58 UTC
State Changed
From-To: open->closed

The patch has been committed with some modifications.  Thank you for 
your submission! :)